Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229449 - install all fonts by default on desktop
Summary: install all fonts by default on desktop
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-21 06:41 UTC by Jens Petersen
Modified: 2013-01-10 01:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-23 03:45:59 UTC


Attachments (Terms of Use)

Description Jens Petersen 2007-02-21 06:41:24 UTC
Description of problem:
It would be good to install as many fonts as possible for wider
default unicode coverage on installation.  Major Desktop OS's
have done this for a while.  Users should not have to install fonts
that we ship to display unknown glyphs in their browser, etc,
it should Just Work.

Steps to Reproduce:
1. Install Fedora Core in English
2. visit a page with some Asian text or look at the gdm language menu
  
Actual results:
2. missing glyph boxes

Expected results:
2. should display the glyphs with our fonts

Additional info:
There is only one known problem: Unicode Han unification of Japanese and
Chinese glyphs, means that prioritization according to locale in
fontconfig will be necessary.  Probably need to open another bug for that.
(A workaround for that could be to not install fonts-japanese for
Chinese users for now, since it overrides the Chinese font currently iirc.)

Comment 1 Jesse Keating 2007-02-23 03:45:59 UTC
Hrm, there are a LOT of fonts that require a bunch of other packages.  This
could bloat the install quite a lot.  I think we could make it easier to add
fonts after the fact, but not sure I like the idea of installing them all by
default.

That said, this discussion should be on fedora-devel-list, not in a bugzilla.


Note You need to log in before you can comment on or make changes to this bug.